#!rfcperl -w
# return the SAP System Information

use SAP_RFC;

# Connect to SAP
##### Change the following to fit your system
$sap_system = 'system';
$sap_client = 'client;
$sap_user = 'user';
$sap_pwd = 'password';
$sap_trc = 'NO';
$ret = 999;

$ret = &SAP_RFC::open($sap_system, $sap_client, 
		      $sap_user, $sap_pwd, $sap_trc);

if ($ret != 0)   # connect failed
{
    print "SAP_RFC::open($sap_system, $sap_client, ";
    print "$sap_user, $sap_pwd, $sap_trc)";
    print " Failed !!! \n";
    exit;
}
else   # connect said it was OK
{
    $ping_ret = 999;
    $ping_str = ' ';
    ($ping_ret, $ping_str) = &SAP_RFC::ping();

    if ($ping_ret != 0) # user not logged in
    {
	print "SAP_RFC::ping Failed !!! \n";
	print "The returned string is: \n $ping_str\n";
	exit;
    }
}
# set up for the RFC Call
$abap = "RFC_SYSTEM_INFO";
$mess_str = '	     ';
$nm_exp = 'RFCSI_EXPORT'; # record name coming FROM SAP
$nm_imp = ' ';         # record name sent TO SAP
$ret_str = ' ';
$ret = 999;

($ret, $ret_str) = &SAP_RFC::callrxx($abap, $mess_str, $nm_exp, $nm_imp);

if ($ret != 0)   # call failed
{
    print "SAP_RFC::callrx1($abap, $mess_str) ";
    print "- FAILED !!! \n";
    $ret = &SAP_RFC::close();
    exit;
}

# print out a header
print "\nSAP System Information \n";
# now we have a string with name - value pairs 
# that need to be split and printed out.
$tmp = substr($ret_str, 0, 3);
print "    RFC Log Version - $tmp \n";
$tmp = substr($ret_str, 3, 4);
print "    Character Set (SAP) - $tmp \n";
$tmp = substr($ret_str, 7, 3);
print "    Integer Format - $tmp \n";
$tmp = substr($ret_str, 10, 3);
print "    Floating Point Format - $tmp \n";
$tmp = substr($ret_str, 13, 32);
print "    Logical SAP Destination - $tmp \n";
$tmp = substr($ret_str, 45, 8);
print "    Contacted Host - $tmp \n";
$tmp = substr($ret_str, 53, 8);
print "    SAP System ID (RFC) - $tmp \n";
$tmp = substr($ret_str, 61, 8);
print "    SAP System ID (DB) - $tmp \n";
$tmp = substr($ret_str, 69, 32);
print "    Database Host Name - $tmp \n";
$tmp = substr($ret_str, 101, 10);
print "    Database System Type - $tmp \n";
$tmp = substr($ret_str, 111, 4);
print "    SAP Basis Release - $tmp \n";
$tmp = substr($ret_str, 115, 5);
print "    SAP Machine ID - $tmp \n";
$tmp = substr($ret_str, 120, 10);
print "    Operating System = $tmp \n";
$tmp = substr($ret_str, 130, 6);
print "    Time Zone Offset (secs) - $tmp \n";
$tmp = substr($ret_str, 136, 1);
if ($tmp eq 'X')
{
    print "    This system uses Daylight Savings Time\n";
}
else
{
    print "    This system Does Not use Daylight Savings Time\n";
}
print "\n\n";

# close SAP connection and exit
$ret = &SAP_RFC::close();
exit;
