/***********************************************************************
 * rfc_help.c
 *
 * Part of SAP_RFC perl module  - version 0.19 released 1 Aug 1997
 *
 * AUTHOR:
 *      Garth Kennedy (garth@comm.mot.com or garth@mcs.net)
 *      Land Mobile Products  Motorola Inc. 
 *      Schaumburg, Ill.

 * COPYRIGHT NOTICE:
 *      Copyright 1996, 1997   Motorola Inc.;
 *      Permission to use, copy modify and distribute without charge
 *      this software, documentation etc. is granted, provided that
 *      this comment and the author's name is retained. Neither the
 *      author or Motorola assume any responsibility for problems
 *     resulting from the use of this software.
 *
 ***********************************************************************/
#include "rfclib.h"

/******************************************************************
 *  rfc_help()
 *
 * Description: This returns "help" on the SAP_RFC module functions 
 *
 * Garth Kennedy     6 May 1996
 *****************************************************************/
int rfc_help(char * str)
{
    char t[1500];
    double rfc_ver;
    
    rfc_ver = rfc_version();
    
    sprintf(str, "SAP_RFC Module - version 0.19  released 1 Aug 1997\n\n", rfc_ver);
    strcat(str, "AUTHOR:\n");
    strcat(str, "     Garth Kennedy (garth@comm.mot.com or garth@mcs.net)\n");
    strcat(str, "     Land Mobile Products  Motorola Inc.\n");  
    strcat(str, "     Schaumburg, Ill.\n\n");

    strcat(str, "COPYRIGHT NOTICE:\n");
    strcat(str, "     Copyright 1996, 1997   Motorola Inc.\n");
    strcat(str, "     Permission to use, copy modify and distribute without charge\n");
    strcat(str, "     this software, documentation etc. is granted, provided that\n");
    strcat(str, "     this comment and the author's name is retained. Neither the\n");
    strcat(str, "     author or Motorola assume any responsibility for problems\n");
    strcat(str, "     resulting from the use of this software.\n\n");

    
    strcat(str, "SAP_RFC module functions: \n");
    strcat(str, "    SAP_RFC::open(SAP System, SAP Client, User, Password, Trace Flag)\n");
    strcat(str, "         - Open a session with SAP\n");
    strcat(str, " 	  Sap_Open System Client User Password Trace \n");
    strcat(str, " 	  Returns integer \n");
    strcat(str, "    SAP_RFC::close() - Close an SAP session \n");
    strcat(str, " 	  Returns integer \n");
    strcat(str, "    SAP_RFC::callrx1(ABAP, Message) - Send and receive a string \n");
    strcat(str, "         to/from SAP\n");
    strcat(str, "         Returns (integer, string1) \n");
    strcat(str, "    SAP_RFC::callrx2(ABAP, Message) - Send one and receive 2 strings\n");
    strcat(str, "         from SAP \n");
    strcat(str, "         Returns (integer, string1, string2) \n");
    strcat(str, "    SAP_RFC::callrxx(ABAP, Message, Export Structure, Import Structure\n");
    strcat(str, "       - Send and receive a string to/from SAP\n");
    strcat(str, "         Returns (integer, string1) \n");
    strcat(str, "       NOTE: the max length of all strings in callrx1 and callrx2 is\n");
    strcat(str, "         250 characters\n");
    strcat(str, "    SAP_RFC::help() - Brief message describing the SAP_RFC methods\n");
    strcat(str, "         Returns (integer, string) \n");
    strcat(str, "    SAP_RFC::ping() - Send a ping to SAP \n");
    strcat(str, "         Returns (integer, string) \n");
    strcat(str, "    SAP_RFC::sysinfo() - Return system info from SAP\n");
    strcat(str, "         Returns (integer, string)  \n");
    strcat(str, "    SAP_RFC::version() - Returns the version number \n");
    strcat(str, "         Returns a double number \n\n");

/*    strcpy(str, t); */
    
    return RFC_OK;
}    /* end of rfc_help() */
