# test the SAP_RFC Module

use lib './blib';

use SAP_RFC;


print "\n-------------------------\n";

### You need to change the values in the following statement
###  aaa = SAP System
###  bbb = SAP Client
###  ccc = SAP User Login ID
###  ddd = SAP USer Password
###  eee = Trace Flag  (YES/No)
$open_ret = &SAP_RFC::open ('aaa', 'bbb', 'ccc', 'ddd', 'eee');

if ($open_ret != 0)
{
    print "SAP::open() - FAILED !! \n";   
      print "did you specify a valid destination ? \n";
      print "You do have a sidinfo file ? \n";
      print " (BTW - the /etc/services supports SAP ?) \n";
      print "Bye Bye \n";
      exit;   
}


($ping_ret, $ping_str) = &SAP_RFC::ping();
if ($ping_ret != 0)
{
    print "SAP::ping() - FAILED !! \n";   
    print "Ping Error String - $ping_str \n";
      print "Did you use the right client, user and password ?\n";
      print "Bye Bye \n";
      exit;   
}

print "\nSAP System Information \n";


($ret_val, $str) = &SAP_RFC::sysinfo();

if ($ret_val != 0)
{
    print "SAP_RFC::sysinfo() - FAILED !! \n";   
}
else
{
    #split the name-value pairs
   @pairs = split(/:/,$str);
   foreach $pair (@pairs)
   {
       ($name, $value) = split(/;/, $pair);
       $SYS_INFO{$name} = $value;
   }

   foreach $key (sort(keys %SYS_INFO))
   {
       if ($key eq 'DST_Flag')
       {
           if ($SYS_INFO{$key} eq 'X')
           {
               print "This System uses Daylight Savings Time \n";
           }
           else
           {
               print "This System DOES NOT use Daylight Savings Time \n";
           }
       }
       else
       {
           print "$key = $SYS_INFO{$key} \n";
       }
   }
}
print "\n";

$close_ret = &SAP_RFC::close();
#print "Close Return = $close_ret \n";

if ($close_ret != 0)   #call failed
{
    print "SAP::close() - FAILED !! \n";   
}
print "-------------------------\n";

exit;
